Zandronum Chat @ irc.zandronum.com
#zandronum
Get the latest version: 2.1.2
Source Code

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002931Zandronum[All Projects] Bugpublic2016-11-23 10:382017-06-21 03:47
ReporterDusk 
Assigned ToTorr Samaho 
PrioritynormalSeveritytweakReproducibilityN/A
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version3.0-beta 
Target Version3.0Fixed in Version3.0 
Summary0002931: SERVER_Tick ticks all clients packet buffers, whether valid or not
DescriptionI was playing with my client iterator stuff again and encountered this in SERVER_Tick:


        // [BB] Send out sheduled packets, respecting sv_maxpacketspertick.
        for ( ulIdx = 0; ulIdx < MAXPLAYERS; ulIdx++ )
            SERVER_GetClient ( ulIdx )->SavedPackets.Tick ( );


This code ticks all SavedPackets buffers, even of non-connected clients. Is this intended?
Attached Files

- Relationships
related to 0001469needs testingTorr Samaho Problem connecting to slaughtermaps 

-  Notes
User avatar (0016353)
Torr Samaho (administrator)
2016-11-27 16:00

I kept the code as simple as possible. SavedPackets.Tick() does nothing when the buffers are empty, which is the case when there is no client in the corresponding slot. If you'd like to replace the loop with an iterator over the connected clients, that should be fine.
User avatar (0017097)
Torr Samaho (administrator)
2017-04-08 12:34

I went ahead and made the loop skip invalid clients.
User avatar (0017235)
Marcaek (reporter)
2017-04-19 23:29

Is there any way for us code-illiterates to test this out? I don't understand the issue well enough the way it's worded.
User avatar (0017240)
Torr Samaho (administrator)
2017-04-20 06:02
edited on: 2017-04-20 06:02

Testing whether the maps / situations from 0001469 still work better in 3.0 than they do in 2.1.2 should be sufficient.

User avatar (0017861)
Combinebobnt (reporter)
2017-06-21 03:43

ok yea i tested. maybe i only ever played sod map32 in rga2 or something, I could remain connected in 2.1.2. However there was very noticeable jitter and lag besides my normal; the 3.0 playthrough was way better.

but thats not enough. I ran through some dark tartarus tests with some laggy gameplay wads and I was able to get heavy lag and a lag-out (finally) in 2.1.2. None of that in 3.0. Was pretty smooth in 3.0 actually.

Issue Community Support
This issue is already marked as resolved.
If you feel that is not the case, please reopen it and explain why.
Supporters: No one explicitly supports this issue yet.
Opponents: No one explicitly opposes this issue yet.

- Issue History
Date Modified Username Field Change
2016-11-23 10:38 Dusk New Issue
2016-11-27 16:00 Torr Samaho Note Added: 0016353
2016-11-27 16:00 Torr Samaho Status new => feedback
2016-12-24 22:42 Dusk Target Version => 3.0
2017-04-08 12:34 Torr Samaho Note Added: 0017097
2017-04-08 12:34 Torr Samaho Assigned To => Torr Samaho
2017-04-08 12:34 Torr Samaho Status feedback => needs testing
2017-04-19 23:29 Marcaek Note Added: 0017235
2017-04-20 06:02 Torr Samaho Note Added: 0017240
2017-04-20 06:02 Torr Samaho Note Edited: 0017240 View Revisions
2017-04-20 06:03 Torr Samaho Relationship added related to 0001469
2017-06-21 03:43 Combinebobnt Note Added: 0017861
2017-06-21 03:47 Ru5tK1ng Status needs testing => resolved
2017-06-21 03:47 Ru5tK1ng Resolution open => fixed
2017-06-21 03:47 Ru5tK1ng Fixed in Version => 3.0






Questions or other issues? Contact Us.

Links


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker